<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class NullableSeveralColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('wowas', function (Blueprint $table) {
            $table->integer('start_time')->nullable()->change();
            $table->integer('end_time')->nullable()->change();
            $table->text('w_weights')->nullable()->change();
            $table->text('p_weights')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wowas', function (Blueprint $table) {
            //
        });
    }
}
